package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollector;

import java.util.List;

/**
 * <p>
 * 采集器管理（终端） ITaskCollectorDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorDao extends IBaseDao<TaskCollector> {

    TaskCollector findById(String id);

    boolean add(TaskCollector taskCollector);

    boolean edit(TaskCollector taskCollector);

    int delete(List<String> ids);

    PageResult<TaskCollector> search(SearchRequest searchRequest);

}
