package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersion;

import java.util.List;

/**
 * <p>
 * 采集器版本列表管理（终端） ITaskCollectorVersionDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorVersionDao extends IBaseDao<TaskCollectorVersion> {

    TaskCollectorVersion findById(String id);

    boolean add(TaskCollectorVersion taskCollectorVersion);

    boolean edit(TaskCollectorVersion taskCollectorVersion);

    int delete(List<String> ids);

    PageResult<TaskCollectorVersion> search(SearchRequest searchRequest);

}
