package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionLog;

import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） ITaskCollectorVersionLogDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorVersionLogDao extends IBaseDao<TaskCollectorVersionLog> {

    TaskCollectorVersionLog findById(String id);

    boolean add(TaskCollectorVersionLog taskCollectorVersionLog);

    boolean edit(TaskCollectorVersionLog taskCollectorVersionLog);

    int delete(List<String> ids);

    PageResult<TaskCollectorVersionLog> search(SearchRequest searchRequest);

}
