package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminator;

import java.util.List;

/**
 * <p>
 * 执行管理器（采集器终端） ITaskTerminatorDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskTerminatorDao extends IBaseDao<TaskTerminator> {

    TaskTerminator findById(String id);

    boolean add(TaskTerminator taskTerminator);

    boolean edit(TaskTerminator taskTerminator);

    int delete(List<String> ids);

    PageResult<TaskTerminator> search(SearchRequest searchRequest);

}
