package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollector;

import java.util.List;

/**
 * <p>
 * 采集器管理（终端） ITaskCollectorService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorService {

    TaskCollector findById(String id);

    boolean add(TaskCollector taskCollector);

    boolean edit(TaskCollector taskCollector);

    int delete(List<String> ids);

    PageResult<TaskCollector> search(SearchRequest searchRequest);
}
