package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminator;

import java.util.List;

/**
 * <p>
 * 执行管理器（采集器终端） ITaskTerminatorService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskTerminatorService {

    TaskTerminator findById(String id);

    boolean add(TaskTerminator taskTerminator);

    boolean edit(TaskTerminator taskTerminator);

    int delete(List<String> ids);

    PageResult<TaskTerminator> search(SearchRequest searchRequest);
}
