package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
* <p>
    * 采集器管理（终端）
    * </p>
*
* @author AutoGenerator
* @since 2023-07-10
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_collector")
@ApiModel(value="TaskCollector对象", description="采集器管理（终端）")
public class TaskCollector implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器版本id")
    @TableField("collector_version_id")
    private Long collectorVersionId;

    @ApiModelProperty(value = "采集语言")
    @TableField("collect_language")
    private String collectLanguage;

    @ApiModelProperty(value = "采集器类型")
    @TableField("collect_type")
    private CollectTypeEnum collectType;

    @ApiModelProperty(value = "启动方式")
    @TableField("start_mode")
    private String startMode;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
