package com.docus.server.infrastructure.dao;

import com.docus.infrastructure.core.db.dao.IBaseDao;
import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskTerminatorCollectionRecord;

import java.util.List;

/**
 * <p>
 * 采集记录表（终端） ITaskTerminatorCollectionRecordDao 数据访问接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskTerminatorCollectionRecordDao extends IBaseDao<TaskTerminatorCollectionRecord> {

    TaskTerminatorCollectionRecord findById(String id);

    boolean add(TaskTerminatorCollectionRecord taskTerminatorCollectionRecord);

    boolean edit(TaskTerminatorCollectionRecord taskTerminatorCollectionRecord);

    int delete(List<String> ids);

    PageResult<TaskTerminatorCollectionRecord> search(SearchRequest searchRequest);

}
