package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionFile;

import java.util.List;

/**
 * <p>
 * 采集器版本列表更新包管理（终端） ITaskCollectorVersionFileService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorVersionFileService {

    TaskCollectorVersionFile findById(String id);

    boolean add(TaskCollectorVersionFile taskCollectorVersionFile);

    boolean edit(TaskCollectorVersionFile taskCollectorVersionFile);

    int delete(List<String> ids);

    PageResult<TaskCollectorVersionFile> search(SearchRequest searchRequest);
}
