package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersionLog;

import java.util.List;

/**
 * <p>
 * 采集器版本更新日志管理（终端） ITaskCollectorVersionLogService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorVersionLogService {

    TaskCollectorVersionLog findById(String id);

    boolean add(TaskCollectorVersionLog taskCollectorVersionLog);

    boolean edit(TaskCollectorVersionLog taskCollectorVersionLog);

    int delete(List<String> ids);

    PageResult<TaskCollectorVersionLog> search(SearchRequest searchRequest);
}
