package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskCollectorVersion;

import java.util.List;

/**
 * <p>
 * 采集器版本列表管理（终端） ITaskCollectorVersionService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskCollectorVersionService {

    TaskCollectorVersion findById(String id);

    boolean add(TaskCollectorVersion taskCollectorVersion);

    boolean edit(TaskCollectorVersion taskCollectorVersion);

    int delete(List<String> ids);

    PageResult<TaskCollectorVersion> search(SearchRequest searchRequest);
}
