package com.docus.server.service;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.scheduling.management.TaskSystemParams;

import java.util.List;

/**
 * <p>
 * 采集器（终端）系统参数表 ITaskSystemParamsService 服务接口
 * </p>
 *
 * @author AutoGenerator
 * @since 2023-07-10
 */
public interface ITaskSystemParamsService {

    TaskSystemParams findById(String id);

    boolean add(TaskSystemParams taskSystemParams);

    boolean edit(TaskSystemParams taskSystemParams);

    int delete(List<String> ids);

    PageResult<TaskSystemParams> search(SearchRequest searchRequest);
}
