package com.docus.server.entity.scheduling.management;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import com.docus.server.enums.*;

/**
* <p>
    * 采集器版本更新日志管理（终端）
    * </p>
*
* @author AutoGenerator
* @since 2023-07-10
*/
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("task_collector_version_log")
@ApiModel(value="TaskCollectorVersionLog对象", description="采集器版本更新日志管理（终端）")
public class TaskCollectorVersionLog implements Serializable {

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private Long id;

    @ApiModelProperty(value = "采集器管理版本id")
    @TableField("task_collector_version_id")
    private Long taskCollectorVersionId;

    @ApiModelProperty(value = "采集器管理id")
    @TableField("task_collector_id")
    private Long taskCollectorId;

    @ApiModelProperty(value = "操作模块")
    @TableField("operation_module")
    private String operationModule;

    @ApiModelProperty(value = "操作类型")
    @TableField("operation_type")
    private String operationType;

    @ApiModelProperty(value = "操作描述")
    @TableField("operation_desc")
    private String operationDesc;

    @ApiModelProperty(value = "操作内容")
    @TableField("operation_content")
    private String operationContent;

    @ApiModelProperty(value = "执行状态0：成功，1:失败")
    @TableField("state")
    private Integer state;

    @ApiModelProperty(value = "入库时间")
    @TableField("create_time")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "入库更新时间")
    @TableField("update_time")
    private LocalDateTime updateTime;


}
